com.davemorrissey.labs.subscaleview.decoder

## Interface DecoderFactory<T>

Type Parameters:
  `T` - the class of decoder that will be produced.

All Known Implementing Classes:
  CompatDecoderFactory

    public interface DecoderFactory<T>

Interface for `ImageDecoder` and `ImageRegionDecoder` factories.

### Method Summary

All Methods Instance Methods Abstract Methods
`T` `make()` Produce a new instance of a decoder with type `T`.

### Method Detail

#### make

    @NonNull
    T make()
             throws IllegalAccessException,
                    InstantiationException,
                    NoSuchMethodException,
                    InvocationTargetException

Produce a new instance of a decoder with type `T`.

Returns:
  a new instance of your decoder.
Throws:
  `IllegalAccessException` - if the factory class cannot be instantiated.
  `InstantiationException` - if the factory class cannot be instantiated.
  `NoSuchMethodException` - if the factory class cannot be instantiated.
  `InvocationTargetException` - if the factory class cannot be instantiated.